%define anolis_release 1

Summary: SGML and XML parser
Name: opensp
Version: 1.5.2
Release: %{anolis_release}%{?dist}
URL: http://openjade.sourceforge.net/
Source: http://download.sourceforge.net/openjade/OpenSP-%{version}.tar.gz
License: MIT

Patch1: opensp-sigsegv.patch

Requires: sgml-common >= 0.5
Provides: bundled(gettext) = 0.14.5

BuildRequires: make
BuildRequires:  gcc-c++

%if ! 0%{?_module_build}
BuildRequires: xmlto, jadetex
%endif

%description
OpenSP is an implementation of the ISO/IEC 8879:1986 standard SGML
(Standard Generalized Markup Language). OpenSP is based on James
Clark's SP implementation of SGML. OpenSP is a command-line
application and a set of components, including a generic API.

%package devel
Summary: Files for developing applications that use OpenSP
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libtool library for developing applications that use OpenSP.

%package doc
Summary:        Documentation for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description doc
This package contains the documentation for %{name}.

%prep
%autosetup -n OpenSP-%{version} -p1
touch lib/parser_inst.cxx

%build
%configure \
%if 0%{?_module_build}
 --disable-doc-build \
%endif
 --disable-dependency-tracking --disable-static --enable-http \
 --enable-default-catalog=%{_sysconfdir}/sgml/catalog \
 --enable-default-search-path=%{_datadir}/sgml:%{_datadir}/xml
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# oMy, othis ois osilly.
for file in nsgmls sgmlnorm spam spent sx ; do
   ln -s o$file $RPM_BUILD_ROOT%{_bindir}/$file
%if ! 0%{?_module_build}
   echo ".so man1/o${file}.1" > $RPM_BUILD_ROOT%{_mandir}/man1/${file}.1
%endif
done

#
# Rename sx to sgml2xml.
mv $RPM_BUILD_ROOT%{_bindir}/sx $RPM_BUILD_ROOT%{_bindir}/sgml2xml
%if ! 0%{?_module_build}
mv $RPM_BUILD_ROOT%{_mandir}/man1/{sx,sgml2xml}.1
%endif

#
# Clean out (installed) redundant copies of the docs and DTDs.
rm -rf $RPM_BUILD_ROOT%{_docdir}/OpenSP
rm -rf $RPM_BUILD_ROOT%{_datadir}/OpenSP
%generate_compatibility_deps

%find_lang sp5

# Stop check-rpaths from complaining about standard runpaths.
export QA_RPATHS=0x0001

%check
make check || : # TODO: failures as of 1.5.2 :(


%files -f sp5.lang
%license COPYING
%{_bindir}/*
%{_libdir}/libosp.so.*
%if ! 0%{?_module_build}
%{_mandir}/man1/*.1*
%endif
%dir %{abidir}
%{abidir}/libosp.dump
%{abidir}/onsgmls-option.list
%{abidir}/osgmlnorm-option.list
%{abidir}/ospam-option.list
%{abidir}/ospcat-option.list
%{abidir}/ospent-option.list
%{abidir}/osx-option.list

%files devel
%{_includedir}/OpenSP/
%{_libdir}/libosp.so

%files doc
%if ! 0%{?_module_build}
%doc doc/*.htm
%doc docsrc/releasenotes.html
%endif
%doc AUTHORS BUGS ChangeLog NEWS README
%doc pubtext/opensp-implied.dcl

%changelog
* Wed Mar 22 2023 happy_orange <songnannan@linux.alibaba.com> - 1.5.2-1
- init package from upstream
